## org.xcsoar_163_src.tar.gz

=== Makefile ===
#
# This is the XCSoar build script.  To compile XCSoar, you must
# specify the target platform, e.g. for Android, type:
#
#   make TARGET=ANDROID
#
# The following parameters may be specified on the "make" command
# line:
#
#   TARGET      The name of the target platform.  See the TARGETS variable
#               in build/targets.mk for a list of valid target platforms.
#
#   HEADLESS    If set to "y", no UI is available.
#
#   VFB         "y" means software rendering to non-interactive virtual
#               frame buffer
#
#   USE_FB      "y" means software rendering to /dev/fb0
#
#   ENABLE_SDL  If set to "y", the UI is drawn with libSDL.
#
#   ENABLE_MESA_KMS If set to "y", the program uses KMS to switch to graphics mode.
#               Use this option when the program runs on a text-mode system
#               without graphics and window system like X11 or Wayland.
#               Default for Rasperry PI 4, optional for Cubieboard.
#
#   OPENGL      "y" means render with OpenGL.
#
#   GLES2       "y" means render with OpenGL/ES 2.0.
#
#   GREYSCALE   "y" means render 8-bit greyscale internally
#
#   DITHER      "y" means dither to 1-bit black&white
#
#   EYE_CANDY   "n" disables eye candy rendering.
#
#   ICF         "y" enables Identical Code Folding (gold --icf=all)
#
#   DEBUG       If set to "y", the debugging version of XCSoar is built
#               (default is "y")
#
#   WERROR      Make all compiler warnings fatal (default is $DEBUG)
#
#   V           Verbosity; 1 is the default, and prints terse information.
#               0 means quiet, and 2 prints the full compiler commands.
#
#   LTO         "y" enables gcc's link-time optimization flag (experimental,
#               requires gcc 4.5)
#
#   THIN_LTO    "y" enables ThinLTO (https://clang.llvm.org/docs/ThinLTO.html)
#
#   CLANG       "y" to use clang instead of gcc
#
#   ANALYZER    "y" to support the clang analyzer
#
#   LLVM        "y" to compile LLVM bitcode with clang
#
#   LIBCXX      "y" to compile with libc++, or the absolute path of the
#               libc++ svn/git working directory.
#
#   IWYU        "y" to run "include-what-you-use" on all sources
#
#   USE_CCACHE  "y" to build with ccache
#

.DEFAULT_GOAL := all

topdir = .

-include $(topdir)/build/local-config.mk

include $(topdir)/build/make.mk
include $(topdir)/build/thunk.mk
include $(topdir)/build/bool.mk
include $(topdir)/build/string.mk
include $(topdir)/build/dirs.mk
include $(topdir)/build/verbose.mk
include $(topdir)/build/util.mk
include $(topdir)/build/detect.mk
include $(topdir)/build/targets.mk
include $(topdir)/build/thirdparty.mk
include $(topdir)/build/pkgconfig.mk
include $(topdir)/build/languages.mk
include $(topdir)/build/options.mk
include $(topdir)/build/debug.mk
include $(topdir)/build/abi.mk
include $(topdir)/build/coverage.mk
include $(topdir)/build/libintl.mk

ifeq ($(HEADLESS),y)
else
include $(topdir)/build/libglm.mk
include $(topdir)/build/vfb.mk
include $(topdir)/build/fb.mk
include $(topdir)/build/wayland.mk
include $(topdir)/build/egl.mk
include $(topdir)/build/glx.mk
include $(topdir)/build/opengl.mk
endif

# this line should be in build/resource.mk but that file depends on
# link.mk and compile-depends must be set before including compile.mk
compile-depends += $(TARGET_OUTPUT_DIR)/include/MakeResource.hpp

include $(topdir)/build/compile.mk
include $(topdir)/build/host.mk
include $(topdir)/build/flags.mk
include $(topdir)/build/charset.mk
include $(topdir)/build/warnings.mk
include $(topdir)/build/depends.mk
include $(topdir)/build/link.mk
include $(topdir)/build/resource.mk
include $(topdir)/build/libdata.mk
include $(topdir)/build/java.mk
include $(topdir)/build/android.mk
include $(topdir)/build/llvm.mk
include $(topdir)/build/tools.mk
include $(topdir)/build/version.mk
include $(topdir)/build/darwin.mk
include $(topdir)/build/ios.mk
include $(topdir)/build/osx.mk
include $(topdir)/build/generate.mk
include $(topdir)/build/doxygen.mk
include $(topdir)/build/manual.mk
include $(topdir)/build/sphinx.mk

include $(topdir)/build/libboost.mk
INCLUDES += $(BOOST_CPPFLAGS)

include $(topdir)/build/libjson.mk

ifeq ($(FAT_BINARY),n)
# Create libraries for zzip, jasper and compatibility stuff
include $(topdir)/build/libfmt.mk
include $(topdir)/build/libdbus.mk
include $(topdir)/build/libresource.mk
include $(topdir)/build/liblook.mk
include $(topdir)/build/libstdcxx.mk
include $(topdir)/build/libutil.mk
include $(topdir)/build/libmath.mk
include $(topdir)/build/libgeo.mk
include $(topdir)/build/libunits.mk
include $(topdir)/build/libnmea.mk
include $(topdir)/build/libcomputer.mk
include $(topdir)/build/libos.mk
include $(topdir)/build/libtime.mk
include $(topdir)/build/libprofile.mk
include $(topdir)/build/liboperation.mk
include $(topdir)/build/libnet.mk
include $(topdir)/build/libhttp.mk
include $(topdir)/build/libcoroutines.mk
include $(topdir)/build/libclient.mk
include $(topdir)/build/sdl.mk
include $(topdir)/build/alsa.mk
include $(topdir)/build/zlib.mk
include $(topdir)/build/zzip.mk
include $(topdir)/build/libcrypto.mk
include $(topdir)/build/jasper.mk
include $(topdir)/build/libport.mk
include $(topdir)/build/driver.mk
include $(topdir)/build/libio.mk
include $(topdir)/build/shapelib.mk
include $(topdir)/build/libwaypoint.mk
include $(topdir)/build/libairspace.mk
include $(topdir)/build/libtask.mk
include $(topdir)/build/libxml.mk
include $(topdir)/build/libcupfile.mk
include $(topdir)/build/libwaypointfile.mk
include $(topdir)/build/libtaskfile.mk
include $(topdir)/build/libroute.mk
include $(topdir)/build/libcontest.mk
include $(topdir)/build/libglide.mk
include $(topdir)/build/datafield.mk
include $(topdir)/build/libevent_options.mk
include $(topdir)/build/udev.mk
include $(topdir)/build/libevent.mk
include $(topdir)/build/freetype.mk
include $(topdir)/build/libpng.mk
include $(topdir)/build/libjpeg.mk
include $(topdir)/build/libtiff.mk
include $(topdir)/build/coregraphics.mk
include $(topdir)/build/appkit.mk
include $(topdir)/build/uikit.mk
include $(topdir)/build/screen.mk
include $(topdir)/build/libthread.mk
include $(topdir)/build/libasync.mk
include $(topdir)/build/form.mk
include $(topdir)/build/libwidget.mk
include $(topdir)/build/libaudio.mk
include $(topdir)/build/libtopo.mk
include $(topdir)/build/libterrain.mk
include $(topdir)/build/lua.mk
include $(topdir)/build/harness.mk
endif # FAT_BINARY=n

ifeq ($(FUZZER),y)
include $(topdir)/build/fuzzer.mk
else ifeq ($(FAT_BINARY),y)
  # No native code in TARGET=ANDROIDFAT
else
include $(topdir)/build/vali.mk
include $(topdir)/build/infobox.mk
include $(topdir)/build/mapwindow.mk
include $(topdir)/build/main.mk
include $(topdir)/build/test.mk
endif

ifeq ($(TARGET_IS_LINUX),y)
include $(topdir)/build/cloud.mk
include $(topdir)/build/kobo.mk
ifeq ($(USE_POLL_EVENT),y)
include $(topdir)/build/ov.mk
endif
endif

include $(topdir)/build/hot.mk
include $(topdir)/build/nolto.mk

ifeq ($(FUZZER),n)
include $(topdir)/build/python.mk
endif

# Load local-config a second time
# to set (override) choices for GXX and friends.
-include $(topdir)/build/local-config.mk

######## output files

ifeq ($(FUZZER),n)
include $(topdir)/build/dist.mk
include $(topdir)/build/install.mk
endif

######## compiler flags

INCLUDES += -I$(SRC) -I$(ENGINE_SRC_DIR)

####### sources

include $(topdir)/build/gettext.mk

ifeq ($(FUZZER),n)

ifeq ($(FAT_BINARY),n)
OUTPUTS := $(XCSOAR_BIN) $(VALI_XCS_BIN)
endif

ifeq ($(TARGET),ANDROID)
OUTPUTS += $(ANDROID_BIN)/XCSoar-debug.apk
endif

ifeq ($(TARGET_IS_KOBO),y)
OUTPUTS += $(KOBO_MENU_BIN) $(KOBO_POWER_OFF_BIN)
endif

ifeq ($(HAVE_WIN32),y)
OUTPUTS += $(LAUNCH_XCSOAR_BIN)
endif

endif

all: $(OUTPUTS)

ifeq ($(FAT_BINARY),n)
everything: $(OUTPUTS) $(OPTIONAL_OUTPUTS) debug build-check build-harness
else
everything: all
endif

clean:
	@$(NQ)echo "cleaning all"
	$(Q)rm -rf build/local-config.mk
	$(Q)rm -rf $(OUT)
	$(RM) $(BUILDTESTS)

.PHONY: all everything clean FORCE

ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/test/src/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/test/src/*.d)
endif

=== doc/requirements.txt ===
sphinxcontrib-blockdiag

=== android/ioio/tools/hex2ioio/Makefile ===
all: hex2ioio

=== debian/changelog ===
xcsoar (7.42) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 01 Mar 2024 23:18:06 +0100

xcsoar (7.41) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Thu, 21 Dec 2023 18:00:49 +0100

xcsoar (7.40) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Thu, 02 Nov 2023 10:10:01 +0100

xcsoar (7.39) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 28 Jul 2023 20:24:04 +0200

xcsoar (7.38) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Thu, 27 Jul 2023 13:32:05 +0200

xcsoar (7.37) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 21 Jul 2023 18:59:40 +0200

xcsoar (7.36) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Sun, 02 Jul 2023 21:35:41 +0200

xcsoar (7.35) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 16 Jun 2023 17:35:24 +0200

xcsoar (7.34) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Tue, 06 Jun 2023 13:50:34 +0200

xcsoar (7.33) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 26 May 2023 09:04:53 +0200

xcsoar (7.32) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Thu, 25 May 2023 20:40:34 +0200

xcsoar (7.31) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Fri, 12 May 2023 12:27:48 +0200

xcsoar (7.30) unstable; urgency=low

  * new release

 -- Max Kellermann <mk@cm4all.com>  Tue, 09 May 2023 13:02:01 +0200

xcsoar (7.29) unstable; urgency=medium

  * new release

 -- Max Kellermann <mk@cm4all.com>  Wed, 03 May 2023 17:10:14 +0200

xcsoar (7.28) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 29 Oct 2022 08:29:39 +0200

xcsoar (7.27) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 23 Sep 2022 22:01:35 +0200

xcsoar (7.26) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 03 Sep 2022 16:11:08 +0200

xcsoar (7.25) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 24 Aug 2022 20:58:06 +0200

xcsoar (7.24) unstable; urgency=low

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 22 Jul 2022 09:30:27 +0200

xcsoar (7.23) unstable; urgency=medium

  * new release

 -- Max Kellermann <mk@cm4all.com>  Thu, 10 Feb 2022 17:52:25 +0100

xcsoar (7.22) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 14 Jan 2022 19:26:55 +0100

xcsoar (7.21) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 11 Dec 2021 11:05:19 +0100

xcsoar (7.20) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 22 Oct 2021 17:38:54 +0200

xcsoar (7.19) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 01 Oct 2021 15:40:24 +0200

xcsoar (7.18) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 10 Sep 2021 23:31:54 +0200

xcsoar (7.17) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 04 Sep 2021 08:43:15 +0200

xcsoar (7.16) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 27 Aug 2021 16:55:23 +0200

xcsoar (7.15) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Mon, 23 Aug 2021 17:54:49 +0200

xcsoar (7.14) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 20 Aug 2021 17:37:01 +0200

xcsoar (7.13) unstable; urgency=medium

  * new release
  * remove -doc package
  * use debhelper 12

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 19 Aug 2021 18:03:49 +0200

xcsoar (7.12) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 13 Aug 2021 19:08:21 +0200

xcsoar (7.11) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 30 Jul 2021 20:05:15 +0200

xcsoar (7.10) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 09 Jul 2021 06:33:03 +0200

xcsoar (7.9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 06 Jul 2021 10:10:02 +0200

xcsoar (7.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 02 Jun 2021 18:48:13 +0200

xcsoar (7.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 14 May 2021 19:30:48 +0200

xcsoar (7.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 01 May 2021 15:35:13 +0200

xcsoar (7.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 30 Apr 2021 09:02:01 +0200

xcsoar (7.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 08 Apr 2021 20:41:23 +0200

xcsoar (7.3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 07 Apr 2021 00:09:12 +0200

xcsoar (6.8.17) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 22 Sep 2020 16:45:52 +0200

xcsoar (6.8.16) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sun, 26 Jul 2020 21:37:05 +0200

xcsoar (6.8.15) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 13 Jun 2020 14:13:56 +0200

xcsoar (6.8.14) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 14 May 2020 22:24:07 +0200

xcsoar (6.8.13) unstable; urgency=medium

  * new release



=== debian/control ===
Source: xcsoar
Section: misc
Priority: extra
Maintainer: Max Kellermann <max.kellermann@gmail.com>
Build-Depends: debhelper (>= 12~),
 g++ (>= 4:10),
 libfmt-dev (>= 7),
 libdbus-1-dev,
 libraspberrypi-dev | libegl1-mesa-dev | libsdl2-dev,
 libsdl2-dev | libinput-dev,
 libsdl2-dev | libgbm-dev,
 libsdl2-dev | libdrm-dev,
 libfreetype6-dev,
 libgl-dev,
 libgl1-mesa-dev,
 libpng-dev, libjpeg-dev,
 libssl-dev,
 libsodium-dev,
 libtiff5-dev | libtiff-dev, libgeotiff-dev,
 libasound2-dev,
 libcurl-dev,
 libc-ares-dev,
 liblua5.4-dev,
 librsvg2-bin, imagemagick (>= 7:6.4), xsltproc,
 bzip2,
 quilt,
 sox,
 gettext
Standards-Version: 3.9.1.0
Homepage: https://xcsoar.org/

Package: xcsoar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 fonts-dejavu | fonts-roboto | fonts-droid | ttf-dejavu
Suggests: vali-xcs
Description: tactical glide computer
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).

Package: vali-xcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IGC G-record validation for XCSoar
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package provides the program "vali-xcs", which validates
 signatures generated by XCSoar.
